Subject: Bug#233: X2goserver 4.0.1.0 Segmenation fault

From: Mike Gabriel <[email-masked]>
Date: Fri, 14 Jun 2013 12:30:09 +0200

reassign #233 nx-libs
thanks

Hi Ross,

On Mo 10 Jun 2013 20:36:27 CEST Ross Barnes wrote:

> Package: x2goserver-4.0.1.0
>
> Hello, I use X2go for remote access into my virtual lab server to run GNS3.
> This is a python application that allows a user to build networked router
> labs.
>
> I have been using X2go 3.1.1.9-0 on Debian Squeeze with no problems. I
> updated my server this weekend to Debian Wheezy. The repository updated
> X2go to 4.0.1.0-0. I am now having the below issues when I try to run my
> application. I also experience this with the baikal 4.0.0.3-0 version.
>
> This occurs with the 3.99.2.1 windows client, the 3.99.3.0-0 linux client,
> and the windows 4.0.0.3 windows client. There is no issue with the
> application directly on the server. I can launch it on a monitor.
>
> on command line, I issue the following...
>
> user@vlab:~$ /opt/GNS3/gns3
> Segementation fault
> user@vlab:~$
>
> /var/log/messages file reveals...

What is the version of nx-libs (x2goagent, nxagent) that you are using  
on the server?

Can you play with the options in /etc/x2go/x2goagent.options? Is the  
GLX extension enabled/disabled? Is XFIXES enabled/disabled?

The issue is very likely to by an nx-libs issue, so reassigning this bug.

Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb